<?xml version="1.0" encoding="UTF-8"?>
<!--
Proyecto SNC 2015

@cu CU-225
@author felipe.cadena
-->
<!DOCTYPE html>
<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui"
        id="destinoEtapasForm">
    <p:spacer height="20" /> 
    <p:fieldset>
        <p:messages id="destinoEtapasMsgs" />
        <legend>
            <h:outputLabel value="Informacion de registro destinación económica" styleClass="legendTitle"/>
        </legend>
        <h:panelGrid columns="2" cellpadding="10">
            <h:outputLabel value="Cantidad de predios seleccionados" id="nPrediosLbl"
                           styleClass="outputLabelStyle" />
            <h:inputText value="#{entradaProyeccion.nPrediosSeleccionados}" id="nPredios" label="Cantidad predios"
                         styleClass="outputLabelStyle" disabled="true" />
            <h:outputLabel value="Destinación económica" 
                           styleClass="outputLabelStyle" />
            <h:selectOneMenu id="destinoDelPredio"
                             label="Destino del predio" required="true"
                             value="#{entradaProyeccion.destinoEtapas}">
                <f:selectItems value="#{proyectarConservacion.tiposDestinoPredio}" />
            </h:selectOneMenu>
        </h:panelGrid>
    </p:fieldset>  
    <p:spacer height="10" /> 
    <div style="text-align: right;">
        <p:commandButton value="Borrar" icon="ui-icon-close" id="ac"
                         update=":tabView1:entradaProyeccionForm" action="#{entradaProyeccion.asignarDestinoMasivo}"
                         oncomplete="handleCompleteSIC(xhr, status, args, destinoEconomicoWV, false);">
            <f:setPropertyActionListener target="#{entradaProyeccion.borrarDatoMasivo}" value="true"/>
        </p:commandButton>
        <p:spacer width="10" /> 
        <p:commandButton value="Guardar" icon="ui-icon-disk"  id="aceptarDestinoBtn"
                         update=":tabView1:entradaProyeccionForm" action="#{entradaProyeccion.asignarDestinoMasivo}"
                         oncomplete="handleCompleteSIC(xhr, status, args, destinoEconomicoWV, false);"/>
        <p:spacer width="10" /> 
        <p:commandButton value="Cerrar" icon="ui-icon-close" oncomplete="destinoEconomicoWV.hide();"/>
        <p:spacer width="20" /> 
    </div>
</h:form>
